classification
Title: Crash in marshal.load() with bad reader
Type: crash Stage: resolved
Components: Interpreter Core Versions: Python 3.4, Python 3.3
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: serhiy.storchaka Nosy List: barry, dmi.baranov, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-04-29 21:29 by serhiy.storchaka, last changed 2013-07-14 12:38 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
marshal_bad_reader.py serhiy.storchaka, 2013-04-29 21:29
marshal_bad_reader.patch serhiy.storchaka, 2013-05-20 20:33 review
Messages (4)
msg188107 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-04-29 21:29
There is a buffer overflow in marshal.load() when len(read(n)) > n.

Here is a sample.
msg189690 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-05-20 20:33
And here is a fix.
msg190210 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-05-28 13:45
Could anyone review a patch please?
msg192889 - (view) Author: Roundup Robot (python-dev) Date: 2013-07-11 19:31
New changeset fc7bab8a8618 by Serhiy Storchaka in branch '3.3':
Issue #17872: Fix a segfault in marshal.load() when input stream returns
http://hg.python.org/cpython/rev/fc7bab8a8618

New changeset 5fa793ae36cc by Serhiy Storchaka in branch 'default':
Issue #17872: Fix a segfault in marshal.load() when input stream returns
http://hg.python.org/cpython/rev/5fa793ae36cc
History
Date User Action Args
2013-07-14 12:38:58serhiy.storchakasetstatus: pending -> closed
stage: commit review -> resolved
2013-07-11 19:39:33serhiy.storchakasetstatus: open -> pending
resolution: fixed
stage: patch review -> commit review
2013-07-11 19:31:13python-devsetnosy: + python-dev
messages: + msg192889
2013-05-28 13:45:20serhiy.storchakasetmessages: + msg190210
2013-05-20 20:33:30serhiy.storchakasetfiles: + marshal_bad_reader.patch
messages: + msg189690

assignee: serhiy.storchaka
keywords: + patch
stage: needs patch -> patch review
2013-05-04 09:06:41serhiy.storchakasettype: behavior -> crash
2013-04-29 21:37:55barrysetnosy: + barry
2013-04-29 21:37:15dmi.baranovsetnosy: + dmi.baranov
2013-04-29 21:29:12serhiy.storchakacreate